mozdev.org

Script Editor   

Home | Mailing List | Installation | Source Code | Screenshots

Installation

The Script Editor is a Web-based application and does not require anything to be downloaded in order to use it, but we do want to make the source available for anyone who is interested. The most recent version of the Script Editor is now available for download.

The new version of the Script Editor requires an M15 or later Milestone build of Mozilla. The Script Editor will not work with Netscape 6.

To run the Script Editor with the default Mozilla installation, you will need to alter the security settings by hand.

1. Add the following line to defaults/pref/all.js (this file is found in your Mozilla directory):

pref("security.checkxpconnect", false);

Please be aware that this setting is set to true by default to prevent remote XUL pages from unauthorized activity. Please remove this line when you are finished testing the Script Editor.

2. After making this change, you can launch the Script Editor using either of the following methods:

Note: The original version of the Script Editor is still available and will work with M14, although it also does not work with Netscape 6.

To launch the original version of the Script Editor, make the changes in Step 1 above. Then run the Script Editor with either of the following methods:

The scripteditor project can be contacted through the mailing list or the member list.
Copyright © 2000-2017. All rights reserved. Terms of Use & Privacy Policy.